Skip to main content
PATCH
/
bumps
/
{id}
Update Bump Details
curl --request PATCH \
  --url https://api.blink.store/v1/bumps/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-store-id: <api-key>' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "price": 123,
  "badge_title": "<string>",
  "badge_color": "<string>"
}
'
import requests

url = "https://api.blink.store/v1/bumps/{id}"

payload = {
"title": "<string>",
"description": "<string>",
"price": 123,
"badge_title": "<string>",
"badge_color": "<string>"
}
headers = {
"x-store-id": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-store-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
price: 123,
badge_title: '<string>',
badge_color: '<string>'
})
};

fetch('https://api.blink.store/v1/bumps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "store_id": "<string>",
  "title": "<string>",
  "description": "<string>",
  "price": 123,
  "badge_title": "<string>",
  "badge_color": "<string>",
  "sales": 123,
  "revenue": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "deliverables": [
    {}
  ]
}

Authorizations

x-store-id
string
header
required

Path Parameters

id
string
required

ID of the bump.

Body

application/json
title
string
description
string
price
number
badge_title
string
badge_color
string

Response

200 - application/json

Bump updated successfully.

id
string
store_id
string
title
string
description
string
price
number
badge_title
string
badge_color
string
sales
integer
revenue
number
created_at
string<date-time>
deliverables
object[]